import { CodeEditorManager } from '@difizen/libro-code-editor';
import type { IOutput } from '@difizen/libro-common';
import type { CellViewOptions, LibroCell, KernelMessage } from '@difizen/libro-jupyter';
import { CellService, EditorStatus, LibroEditableExecutableCellView, LibroViewTracker, LibroOutputArea } from '@difizen/libro-jupyter';
import type { ViewSize } from '@difizen/libro-common/app';
import { Deferred, ViewManager } from '@difizen/libro-common/app';
import React from 'react';
import './index.less';
import { LibroSqlCellModel } from './libro-sql-cell-model.js';
import type { DatabaseConfig } from './libro-sql-cell-protocol.js';
import { SqlScript } from './libro-sql-cell-script.js';
export declare const LibroSqlCell: React.ForwardRefExoticComponent<React.RefAttributes<HTMLDivElement>>;
export declare class LibroSqlCellView extends LibroEditableExecutableCellView {
    view: React.ForwardRefExoticComponent<React.RefAttributes<HTMLDivElement>>;
    model: LibroSqlCellModel;
    libroViewTracker: LibroViewTracker;
    outputs: IOutput[];
    databases: DatabaseConfig[];
    editorStatus: EditorStatus;
    editorAreaHeight: number;
    noEditorAreaHeight: number;
    sqlScript: SqlScript;
    protected editorViewReadyDeferred: Deferred<void>;
    get editorReady(): Promise<void>;
    renderEditor: () => import("react/jsx-runtime").JSX.Element | null;
    calcEditorOffset(): number;
    calcEditorAreaHeight(): number;
    protected outputAreaDeferred: Deferred<LibroOutputArea>;
    get outputAreaReady(): Promise<LibroOutputArea>;
    constructor(options: CellViewOptions, cellService: CellService, viewManager: ViewManager, libroViewTracker: LibroViewTracker, codeEditorManager: CodeEditorManager);
    onViewMount: () => Promise<void>;
    setEditorHost(ref: any): void;
    onViewResize: (size: ViewSize) => void;
    handleDbChange(value: string): void;
    toJSON(): LibroCell;
    focus: (toEdit: boolean) => void;
    clearExecution: () => void;
    run(): Promise<boolean>;
    fetch: (content: KernelMessage.IExecuteRequestMsg['content'], ioCallback: (msg: KernelMessage.IIOPubMessage) => any) => Promise<KernelMessage.IExecuteReplyMsg>;
    handleQueryResponse: (response: KernelMessage.IIOPubMessage, cb: (result: string) => void) => void;
    getDatabaseConfig: () => Promise<KernelMessage.IExecuteReplyMsg>;
}
//# sourceMappingURL=libro-sql-cell-view.d.ts.map